Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class MonitorStats

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.visualizers.MonitorStats

All Implemented Interfaces:
  Cloneable, Serializable, TestElement

public class MonitorStats
extends AbstractTestElement
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`MonitorStats()`
`MonitorStats(int health, int load, int cpuload, int memload, int threadload, String host, String port, String protocol, long time)` Default constructor

Method Summary
`int` | `getCpuLoad()`
`int` | `getHealth()`
`String` | `getHost()`
`int` | `getLoad()`
`int` | `getMemLoad()`
`String` | `getPort()`
`String` | `getProtocol()`
`int` | `getThreadLoad()`
`long` | `getTimeStamp()`
`String` | `getURL()` For convienance, this method returns the protocol, host and port as a URL.
`void` | `setCpuLoad(int load)`
`void` | `setHealth(int health)`
`void` | `setHost(String host)`
`void` | `setLoad(int load)`
`void` | `setMemLoad(int load)`
`void` | `setPort(String port)`
`void` | `setProtocol(String protocol)`
`void` | `setThreadLoad(int load)`
`void` | `setTimeStamp(long time)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorStats

    public MonitorStats()

### MonitorStats

    public MonitorStats(int health,
                        int load,
                        int cpuload,
                        int memload,
                        int threadload,
                        String host,
                        String port,
                        String protocol,
                        long time)

  Default constructor

Parameters:
  `health` -
  `load` -
  `cpuload` -
  `memload` -
  `threadload` -
  `host` -
  `port` -
  `protocol` -
  `time` -

Method Detail

### getURL

    public String getURL()

  For convienance, this method returns the protocol, host and port as a URL.

  Returns:
    protocol://host:port

### setHealth

    public void setHealth(int health)

### setLoad

    public void setLoad(int load)

### setCpuLoad

    public void setCpuLoad(int load)

### setMemLoad

    public void setMemLoad(int load)

### setThreadLoad

    public void setThreadLoad(int load)

### setHost

    public void setHost(String host)

### setPort

    public void setPort(String port)

### setProtocol

    public void setProtocol(String protocol)

### setTimeStamp

    public void setTimeStamp(long time)

### getHealth

    public int getHealth()

### getLoad

    public int getLoad()

### getCpuLoad

    public int getCpuLoad()

### getMemLoad

    public int getMemLoad()

### getThreadLoad

    public int getThreadLoad()

### getHost

    public String getHost()

### getPort

    public String getPort()

### getProtocol

    public String getProtocol()

### getTimeStamp

    public long getTimeStamp()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.